Get List of Change Reasons

When updating a customer account, sometimes a change reason code is required to be given. This is the "UpdateReasonCode" in the Update Advertisers API.

This API will provide the available reason codes to use the in above field.

GET /api/ad/advertiser/changereasons

Response will look like this:

[
  {
     "ID": "string",
     "Name": "string",
     "IsInactive": true,
     "AllowDelete": true
   }
]
Field
Description

ID

ID for the change reason. This is what will be used in the UpdateReasonCode field in Update Advertisers API.

Name

Name of the change reason

IsInactive

true/false if this reason code is still in use

AllowedDelete

true/false if this reason code is allowed to be deleted inside Naviga Ad. (If it is not allowed to be deleted it means it is in use)

Valid repsonses to use in the Update advertisers API would be anything here with IsInactive = false.

Was this helpful?